const Me = imports.misc.extensionUtils.getCurrentExtension();
const Log = Me.imports.modules.log;
const DBus = Me.imports.modules.profile_dbus;
var profileClient = class profileClient {
    constructor() {
        this.connector = new DBus.Profile();
        this.connected = false;
        try {
            this.connector = new DBus.Profile();
        }
        catch (e) {
            Log.raw(`Profile client initialization failed!`, e);
        }
    }
    isRunning() {
        return (this.connected && this.connector && this.connector.isRunning());
    }
    start() {
        try {
            this.connector.start();
            this.connected = this.connector.isRunning();
        }
        catch (e) {
            Log.raw(`Profile start failed!`, e);
        }
    }
    stop() {
        if (this.isRunning()) {
            this.connected = false;
            this.connector.stop();
        }
    }
}
//# sourceMappingURL=profile.js.map